Loading...
Searching...
No Matches
Function related utilities
Functions

Helper classes and functions related to functions. More...

Collaboration diagram for Function related utilities:

## Classes

class | Dune::Functions::InvalidRange
| Dummy range class to be used if no proper type is available. More...
struct | Dune::Functions::DefaultDerivativeTraits< Signature >
| Default implementation for derivative traits. More...
struct | Dune::Functions::DefaultDerivativeTraits< double(double) >
| Default implementation for derivative traits. More...
struct | Dune::Functions::DefaultDerivativeTraits< K(FieldVector< K, n >)>
| Default implementation for derivative traits. More...
struct | Dune::Functions::DefaultDerivativeTraits< FieldVector< K, m >(FieldVector< K, n >)>
| Default implementation for derivative traits. More...
struct | Dune::Functions::DefaultDerivativeTraits< FieldMatrix< K, 1, m >(FieldVector< K, n >)>
| Default implementation for derivative traits. More...
class | Dune::Functions::GeometryInAncestor< Element >
| A geometry embedding a descendent element into an ancestor. More...
struct | Dune::Functions::IsCallable< F >
| Helper class to check that F is callable. More...
struct | Dune::Functions::SignatureTraits< Signature, isCallable >
| Helper class to deduce the signature of a callable. More...
struct | Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >
| Tag-class to encapsulate signature information. More...
class | Dune::Functions::GridViewEntitySet< GV, cd >
| An entity set for all entities of given codim in a grid view. More...
struct | Dune::Functions::LocalDerivativeTraits< EntitySet, DerivativeTraits >
| Derivative traits for local functions. More...

## Functions

template<class Range, class Domain, template< class > class DerivativeTraits>
auto | Dune::Functions::derivativeSignatureTag (SignatureTag< Range(Domain), DerivativeTraits > tag)
| Construct SignatureTag for derivative.
template<std::size_t maxOrder, class Signature, template< class > class DerivativeTraits>
auto | Dune::Functions::derivativeSignatureTags (Dune::Functions::SignatureTag< Signature, DerivativeTraits > tag)
| Construct SignatureTags for derivatives.

## Detailed Description

Helper classes and functions related to functions.

## Function Documentation

## derivativeSignatureTag()

template<class Range, class Domain, template< class > class DerivativeTraits>

auto Dune::Functions::derivativeSignatureTag | ( | SignatureTag< Range(Domain), DerivativeTraits > | tag | ) |

Construct SignatureTag for derivative.

Parameters

  tag | SignatureTag for a function

Returns
  SignatureTags of the derivative

## derivativeSignatureTags()

template<std::size_t maxOrder, class Signature, template< class > class DerivativeTraits>

auto Dune::Functions::derivativeSignatureTags | ( | Dune::Functions::SignatureTag< Signature, DerivativeTraits > | tag | ) |

Construct SignatureTags for derivatives.

Template Parameters

  maxOrder | Maximal order of derivatives

Parameters

  tag | SignatureTag for a function

Returns
  Tuple of SignatureTags

This constructs an std::tuple of SignatureTags for all derivatives of order 0 up to maxOrder.